import React from 'react';
import PropTypes from 'prop-types';
import classnames from 'classnames/bind';
import styles from './AnueSearchRealtimeResult.scss';

const cx = classnames.bind(styles);

export default function SearchResultContentWrapper({
  title,
  headerActionName,
  onHeaderActionClick,
  isLoaded,
  children,
}) {
  return (
    <div className={cx('search-result-content-wrapper', { display: isLoaded })}>
      {title && (
        <div className={cx('search-result-content-wrapper__header')}>
          {<p>{title}</p>}
          {headerActionName && <span onClick={onHeaderActionClick}>{headerActionName}</span>}
        </div>
      )}
      {children}
    </div>
  );
}

SearchResultContentWrapper.propTypes = {
  title: PropTypes.string,
  headerActionName: PropTypes.string,
  onHeaderActionClick: PropTypes.func,
  isLoaded: PropTypes.bool,
  children: PropTypes.arrayOf(PropTypes.element),
};

SearchResultContentWrapper.defaultProps = {
  title: null,
  headerActionName: null,
  onHeaderActionClick: () => {},
  onRowActionClick: () => {},
  isLoaded: false,
  isCols: false,
  children: null,
};
